
package ps6.gui;

import java.awt.BorderLayout;
import java.awt.Container;

import javax.swing.JFrame;

import ps6.model.Board;
import ps6.model.BoggleBoard;

/**
 * @author mbolin
 */
public class BoardFrame extends JFrame {

   public static final long serialVersionUID = 61701;

	public static void main(String[] args) {
		// System.out.println(Cube.CUBES);
		new BoardFrame();
	}
	
	private Board board;
	
	private BoardPanel boardPanel;
	
	private InputPanel inputPanel;
	
	public BoardFrame() {
		super("Boggle");
		
		Container cp = getContentPane();
		cp.setLayout(new BorderLayout());
		
		board = new BoggleBoard();
		
		boardPanel = new BoardPanel(board);
		board.addShuffleListener(boardPanel);
		cp.add(boardPanel, BorderLayout.CENTER);
		
		inputPanel = new InputPanel(board);
		cp.add(inputPanel, BorderLayout.EAST);
		
		setSize(boardPanel.getPreferredSize());
		
		setResizable(false);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		setVisible(true);
	}
}
